<?php



include("asl.php");
include("vendor/autoload.php");
ini_set('display_errors', '0');

?>



<!DOCTYPE HTML>
<html>

<head>
    <meta http-equiv="Content-Type" content="text/html ; charset=utf-8" />
    <meta http-equiv="content-type" content="text/html" />
    <meta name="author" content="persian" />

    <title>طراحی ربات ahp</title>


    <link rel="Stylesheet" type="text/css" href="style.css" />


    <style>
        @font-face {
            font-family: 'amir';
            src: url('font/BKoodakBold.ttf')format('truetype'),
                url('font/BKoodakBold.eot')format('eot'),
                url('font/BKoodakBold.woff')format('woff');

        }
    </style>


</head>

<body dir="rtl" align="center">
    <div align="center">
        <?php

        //   import_request_variables("p" , "a_");


        //old import
        function checkarray($summerarray, $mainkey, $mainarray)
        {
            if (in_array($mainkey, $summerarray)) {
                unset($mainarray["$mainkey"]);
                return $mainarray;
            } else {
                return "ok";
            }
        }

        $summerarray = array();
        $artest = $_POST;
        foreach ($artest as $postinfo) {

            $ar_mainkey = array_search($postinfo, $artest);
            if (checkarray($summerarray, $ar_mainkey, $artest) != "ok") {
                $artest = checkarray($summerarray, $ar_mainkey, $artest);
                $ar_mainkey = array_search($postinfo, $artest);
            }
            ${'a_' . $ar_mainkey} = $postinfo;
            $summerarray[] = $ar_mainkey;
        }
        //old import


        try {
            $conn = new PDO("mysql:host=$servername;dbname=$mydb", $username, $password,  array(PDO::MYSQL_ATTR_INIT_COMMAND => "SET NAMES utf8"));
            // set the PDO error mode to exception

            $conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
        } catch (PDOException $e) {
            echo "Connection failed: " . $e->getMessage();
        }




        $sql = "select * from admin";
        $stmt =   $conn->prepare($sql);
        $stmt->execute();

        $result = $stmt->setFetchMode(PDO::FETCH_ASSOC);
        $show = $stmt->fetch();

        $user = $show["user"];
        $pass = $show["pass"];


        $getpass = hash_hmac('md5', $a_pass, 'salt');


        if ($user == $a_user && $pass == $getpass) {
        } else {





            echo "<p style='color:green' >یوزرنیم و پسورد اشتباه
</p>";




            function redirect($url)
            {
                if (!headers_sent()) {
                    header('Location: ' . $url);
                    exit;
                } else {
                    echo '<script type="text/javascript">';
                    echo 'window.location.href="' . $url . '";';
                    echo '</script>';
                    echo '<noscript>';
                    echo '<meta http-equiv="refresh" content="0;url=' . $url . '" />';
                    echo '</noscript>';
                    exit;
                }
            }

            redirect("enter.php");
            exit();
        }











        ?>

        <br /><br />
        <h4 class="white">پنل مدیریتی ربات</h4>
        <div id="content" align="right">
            <div id="content-content">
                <table>
                    <tr>
                        <td><img class="radius" src="images/user.png" /></td>
                        <td class="gray" valign="bottom">خوش آمدید <?php print $userse; ?></td>

                

                        <td>
                            <form target="_blank" method='post' action='shop.php'>


                                <input type='submit' style='width:100%' class='font' value='فروشگاه ها' />
                                <input type='hidden' name='user' value="<?php echo $a_user  ?>" />
                                <input type='hidden' name='pass' value="<?php echo $a_pass  ?>" class='font' />
                            </form>
                        </td>

                        <td>
                            <form target="_blank" method='post' action='users.php'>


                                <input type='submit' style='width:100%' class='font' value='نمایش کاربران' />
                                <input type='hidden' name='user' value="<?php echo $a_user  ?>" />
                                <input type='hidden' name='pass' value="<?php echo $a_pass  ?>" class='font' />
                            </form>
                        </td>




                    </tr>
                    </tr>

                </table>



                <br />
                <br />
                <a href="https://telegram.me/" target="_blank">
                    <input class='button-blue' style="width:725px;" type="button" value="رفتن به داخل ربات" />
                </a>

                <br />
                <div id="fish">

                
                

                <form target="_blank" method='post' action='calls.php'>


                                <input type='submit' name='download' style='width:15%' class='font' value='خروجی اکسل' />
                                <input type='hidden' name='user' value="<?php echo $a_user  ?>" />
                                <input type='hidden' name='pass' value="<?php echo $a_pass  ?>" class='font' />
                </form>


                    <h5 class='gray'>◄ لیست تماس ها</h5>


                    <table>
                        <tr>

                            <th class='th'>نام</th>
                            <th class='th'>شماره</th>
                            <th class='th'>چت آیدی</th>
                            <th class='th'>نام فروشگاه</th>
                            <th class='th'>مبلغ وام</th>
                            <th class='th'>پیش پرداخت</th>
                            <th class='th'>اقساط ماهیانه</th>
                            <th class='th'>مبلغ</th>
                            <th class='th'>تعداد اقساط</th>
                            <th class='th'>حذف</th>

                        </tr>
                        <tr>





                            <?php




                            if (isset($_POST['delete'])) {
                                $sql = "delete from calls where id='$_POST[id]'";
                                $conn->exec($sql);
                                print("انجام شد");
                            }
                            $stmt = $conn->prepare("SELECT * FROM calls WHERE status='done' ");
                            $stmt->execute();

                            // set the resulting array to associative
                            $result = $stmt->setFetchMode(PDO::FETCH_ASSOC);

                            $k = $stmt->fetchAll();
                            $firstArray=['نام','شماره','چت آیدی','نام فروشگاه','مبلغ وام','پیش پرداخت','اقساط ماهیانه','مبلغ','تعداد اقساط'];
                            foreach ($k as $v) {
                                $firstArray=[$v["name"],$v["phone"],$v["chatid"] , $v["shopname"], $v["loan"] ,$v["prepay"],$v["monthlypay"],$v["expense"],$v["installment"]];
                                $secondArray[]=$firstArray;
                                unset($firstArray);
    

                            }
                         
$secondArray[]=$firstArray;
unset($firstArray);

if(isset($_POST['download'])){
    $xlsx = Shuchkin\SimpleXLSXGen::fromArray($secondArray);
    $xlsx->downloadAs('report.xlsx');
}

                            foreach ($k as $v) {
                            $firstArray=[$v["name"],$v["phone"],$v["chatid"] , $v["shopname"], $v["loan"] ,$v["prepay"],$v["monthlypay"],$v["expense"],$v["installment"]];
                            $secondArray[]=$firstArray;
                            unset($firstArray);

             
                            

                                print "
        <tr>
      
<td align='center' class='td'  >" . $v["name"] . "</td>
<td align='center' class='td'  >" . $v["phone"] . "</td>
<td align='center' class='td'  >" . $v["chatid"] . "</td>
<td align='center' class='td'  >" . $v["shopname"] . "</td>
<td align='center' class='td'  >" . $v["loan"] . "</td>
<td align='center' class='td'  >" . $v["prepay"] . "</td>
<td align='center' class='td'  >" . $v["monthlypay"] . "</td>
<td align='center' class='td'  >" . $v["expense"] . "</td>
<td align='center' class='td'  >" . $v["installment"] . "</td>
<td align='center' class='td'  >

"; ?>
                                <form method='post' action='calls.php'>
                                    <input type='submit' name='delete' style='width:100%' class='font' value='حذف' />
                                    <input type='hidden' name='user' value="<?php echo $a_user  ?>" />
                                    <input type='hidden' name='pass' value="<?php echo $a_pass  ?>" class='font' />
                                    <input type='hidden' name='id' value="<?php echo $v["id"];  ?>" />
                                </form>

                            <?php print "
</td>



</tr>

        
        ";
                            }

                                       
          

                            ?>










                        </tr>



                    </table>

















                    <hr />
                    <hr />
                    <hr />

                    <br />
                    <br />
                    <br />
                    <br />





                </div>



















                <br />
                <br />
            </div>
        </div>




        <a style="text-decoration:none ;" href="http://ahpbot.ir" target="_blank" class="gray">طراحی شده توسط ahpbot</a>
    </div>

    <?php
    $conn = null;
    ?>
</body>

</html>